메인 콘텐츠로 건너뛰기
이 엔드포인트를 폴링하여 3D 모델 생성 작업의 상태를 확인하십시오.
생성 응답에 poll_url 이 포함되어 있으면, 상태 조회에는 그 URL 을 우선 사용하세요. idtask_id 는 같은 비동기 작업 ID 로 취급해야 합니다.If the task no longer exists or can no longer be resolved through the public async-task contract, LemonData returns async_task_not_found with the message Task not found or no longer available.

경로 파라미터

id
string
필수
3D 생성 작업 ID입니다.

응답

id
string
작업 ID.
task_id
string
사용 가능할 때의 비동기 작업 ID 별칭입니다.
status
string
작업 상태: pending, processing, completed 또는 failed.
progress
integer
진행률 백분율 (0-100).
model_url
string
3D 모델 파일을 다운로드할 URL (완료 시).
glb_url
string
GLB 형식 모델을 다운로드할 URL (사용 가능한 경우).
fbx_url
string
FBX 형식 모델을 다운로드할 URL (사용 가능한 경우).
error
string
에러 메시지 (실패 시).
curl "https://api.lemondata.cc/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "task_id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "poll_url": "/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "status": "completed",
  "model_url": "https://cdn.tripo3d.ai/abc123.glb",
  "glb_url": "https://cdn.tripo3d.ai/abc123.glb",
  "fbx_url": "https://cdn.tripo3d.ai/abc123.fbx"
}